Proprietary Drivers Nvidia 304 - MINT 20.1

Questions about hardware,drivers and peripherals
Forum rules
Before you post please read how to get help
Post Reply
hugomenezes
Level 1
Level 1
Posts: 27
Joined: Fri May 08, 2020 10:45 pm

Proprietary Drivers Nvidia 304 - MINT 20.1

Post by hugomenezes »

Hi,
I want to install Nvidia Geforce 6800GT AGP on Linux Mint 20.1 64bits to play games. How i can install these drivers on Mint 20.1 64bits?
User avatar
SMG
Level 11
Level 11
Posts: 3831
Joined: Sun Jul 26, 2020 6:15 pm
Location: USA

Re: Proprietary Drivers Nvidia 304 - MINT 20.1

Post by SMG »

Here is what someone did to install the Nvidia-304 driver on Linux Mint 20.0 Nvidia legacy driver 304.137 working with Linux Mint 20 x64 xfce.

Nvidia stopped supporting that driver a long time ago.
LM20.1 Cinnamon
raspu
Level 2
Level 2
Posts: 76
Joined: Thu Sep 07, 2017 3:37 am

Re: Proprietary Drivers Nvidia 304 - MINT 20.1

Post by raspu »

As far as I know, the only driver that will work in Mint 20 with your graphics card is the open-source nouveau included in the Linux kernel. The propietary Nvidia driver 304 doesn't support the new kernels.
User avatar
antikythera
Level 12
Level 12
Posts: 4063
Joined: Thu Jul 02, 2020 12:52 pm

Re: Proprietary Drivers Nvidia 304 - MINT 20.1

Post by antikythera »

Here is what someone did to install the Nvidia-304 driver on Linux Mint 20.0 Nvidia legacy driver 304.137 working with Linux Mint 20 x64 xfce.
On their head be it, I certainly wouldn't recommend anyone else try it. Pinning xserver leaves end users open to security risks but using bionic repositories with focal fossa based Mint 20 for such a critical package is asking for trouble anyway from a stability standpoint.
User avatar
SMG
Level 11
Level 11
Posts: 3831
Joined: Sun Jul 26, 2020 6:15 pm
Location: USA

Re: Proprietary Drivers Nvidia 304 - MINT 20.1

Post by SMG »

I agree that if one does that to get the Nivdia-304 to work for LM20 then they have a system which can not be upgraded/patched, even if it might seem stable.

The Nvidia-304 will not even work with the latest 4.15 kernel used in LM19. The last 4.15 kernel with which it works came out more than a year ago.
LM20.1 Cinnamon
Post Reply

Return to “Hardware Support”